Bug 4276 - impossible to specify hostname with kickstart install
impossible to specify hostname with kickstart install
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Depends On:
  Show dependency treegraph
Reported: 1999-07-30 12:42 EDT by scottm
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-11 10:16:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description scottm 1999-07-30 12:42:59 EDT
It appears that there is no way to specify the hostname of a
machine when doing a kickstart install.  Documentation
reccomends getting network information from a bootp server,
but I shouldn't have to install and configure a bootp server
just to do a machine installation.

Kickstart config file includes a networking line like

network --bootproto static --ip --netmask --gateway --nameserver

but does not recognize any sort of hostname option.  The
installer immediately kicks out for user input to get the
hostname after it "fails to determine" the hostname

Easy resolution for this bug?  Allow an option in the
network line of ks.cfg to read --hostname "machine.domain".
This would allow a completely automated kickstart install on
a private network without running a bootp server.  I can't
seen any reason _not_ to include the option, since all that
happens is the user has to enter the info anyways and he's
already input the IP and network info into ks.cfg ...

Comment 1 Jay Turner 2000-02-11 10:15:59 EST
Issue is resolved in the latest version of the installer.

Note You need to log in before you can comment on or make changes to this bug.